Support » Installing WordPress » Upgrade failed

  • I tried to upgrade to the latest version from 2.0.2 and got the following error:

    Parse error: syntax error, unexpected ‘;’, expecting T_VARIABLE or ‘$’ in /home/websagen/public_html/wordpress/wp-includes/functions-post.php on line 779

    Help!

Viewing 7 replies - 1 through 7 (of 7 total)
  • Just installed 2.0.2 and then did a successful upgrade directly to 2.0.6 based on directions detailed in Upgrading_WordPress#Overview_of_the_Upgrade_Process.

    Please consider deleting and reuploading the appropriate WordPress files. Don’t forget to do the wp-admin/upgrade.php step.

    I tried the same again — no result.

    Then I uninstalled WP and installed it from my webhost’s Fantastico automatically into 2.0.5. When I attempted to upgrade to 2.0.6 following the instructions, I got the same error message…

    Then I removed that installation and did a manual installation of the 2.0.6 from scratch and got the same error:

    Parse error: syntax error, unexpected ‘;’, expecting T_VARIABLE or ‘$’ in /home/websagen/public_html/wordpress/wp-includes/functions-post.php on line 779

    This is the error mistake I always receive. What gives???

    I tried this over and over. I followed the steps and yet I still get the same error message:

    Parse error: syntax error, unexpected ‘;’, expecting T_VARIABLE or ‘$’ in /home/websagen/public_html/wordpress/wp-includes/functions-post.php on line 779

    This file, functions-post.php doesn’t even have 779 lines…

    I give up and will uninstall and go back to 2.0.5, since nobody here helped.

    There are 1032 lines in functions-post.php (version 1.07/1.06), 31031 bytes. I suggest you check that it has correctly uploaded.

    My wrong. The functions-post.php indeed has 1032 lines, yet I still get the same message over and over. Today I tried to upgrade to 2.0.7 with the same result:

    Parse error: syntax error, unexpected ‘;’, expecting T_VARIABLE or ‘$’ in /home/websagen/public_html/wordpress/wp-includes/functions-post.php on line 779

    websage, did you delete the WordPress files on the server according to the WordPress Codex Upgrade Instructions before you uploaded the new ones?

    I ask because obviously something is going wrong here, and it helps to track down exactly what you did beyond “trying to upgrade” — that just isn’t enough information.

    One place where upgrading goes wrong is failing to delete the old files on the server first. I wouldn’t have believed that one really needed to do that until I had a problem; deleting the files before uploading corrected the error.

    Ah, sorry. I missed the part where you removed the installation. Does that mean you deleted it from the server, or just did something via a control panel — and, if so, did you confirm that the files were gone?

Viewing 7 replies - 1 through 7 (of 7 total)
  • The topic ‘Upgrade failed’ is closed to new replies.